﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Diagram;

namespace NodeResize
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Syncfusion.Windows.Forms.Diagram.Rectangle rect1 = new Syncfusion.Windows.Forms.Diagram.Rectangle(100, 100, 100, 100);
            
            rect1.Name = "Test1";
            Syncfusion.Windows.Forms.Diagram.Rectangle rect2 = new Syncfusion.Windows.Forms.Diagram.Rectangle(300, 300, 100, 100);
            rect2.Name = "Test2";
            diagram1.Model.AppendChild(rect1);
            diagram1.Model.AppendChild(rect2);


            OrthogonalConnector c1 = new OrthogonalConnector(rect1.PinPoint, rect2.PinPoint);

            c1.EnableRoundedCorner = true;

            c1.CurveRadius = 10;




            c1.HeadDecorator.DecoratorShape = DecoratorShape.FilledCircle;

            c1.HeadDecorator.Size = new SizeF(12, 12);

            c1.TailDecorator.DecoratorShape = DecoratorShape.FilledFancyArrow;

            c1.TailDecorator.Size = new SizeF(12, 12);

            c1.LineStyle.LineColor = Color.Red;

            c1.LineStyle.LineWidth = 2;

            rect1.CentralPort.TryConnect(c1.HeadEndPoint);

            rect2.CentralPort.TryConnect(c1.TailEndPoint);




            diagram1.Model.AppendChild(c1);
            diagram1.View.SelectionList.Clear();


        }
    }
}
